{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"To list all VPC NAT gateways in your team, send a GET request to `/v2/vpc_nat_gateways`.\nThe response body will be a JSON object with a key of `vpc_nat_gateways` containing an array of VPC NAT gateway objects.\nThese each contain the standard VPC NAT gateway attributes.\n","properties":{"query":{"type":"object","properties":{"per_page":{"type":"integer","minimum":1,"default":20,"maximum":200,"examples":[2],"description":"Number of items returned per page"},"page":{"type":"integer","minimum":1,"default":1,"examples":[1],"description":"Which 'page' of paginated results to return."},"state":{"type":"string","enum":["new","provisioning","active","deleting","error","invalid"],"examples":["active"],"description":"The current state of the VPC NAT gateway."},"region":{"type":"string","enum":["nyc1","nyc2","nyc3","ams2","ams3","sfo1","sfo2","sfo3","sgp1","lon1","fra1","tor1","blr1","syd1","atl1"],"examples":["tor1"],"description":"The region where the VPC NAT gateway is located."},"type":{"type":"string","enum":["public"],"examples":["public"],"description":"The type of the VPC NAT gateway."},"name":{"type":"string","examples":["my-vpc-nat-gateway"],"description":"The name of the VPC NAT gateway."}},"required":[],"additionalProperties":false}},"required":[],"additionalProperties":false},"name":"List All VPC NAT Gateways","id":"digitalocean.vpcnatgateways_list","example":{},"maxRequests":1,"summary":false}}